El libre pensamiento para un internet libre

No estas registrado.  

Anuncio

Wifi-highpower.es es distribuidor oficial de Alfa Network

#1 24-08-2018 09:13:10

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Linux tan difícil de instalar AMD GPU

Hai equipo y comunidad

Necesito una fiebre por favor
2 meses pruebo mi computadora para instalar el controlador de la GPU de Pyrit y AMD. todavía no sucssus. uno de los sitios encontré un enlace
https://github.com/RadeonOpenCompute/ROCm Hice toda la instalación pero aún mi núcleo de lista de piruetas no puede ver la GPU.
por favor, cualquier cuerpo tiene compatibilidad con GPU AMD. enlace ISO de Linux. ayuda de mi.
**** intento inglés para traducir español google así que si cualquier error lo siento ****

Desconectado

Anuncio

Wifi-highpower.es es distribuidor oficial de Alfa Network

#2 24-08-2018 09:39:31

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

¿te funciona la gpu con hashcat? si te funciona con hashcat,

muéstrame el archivo
               ↓

cat /home/bala/.pyrit/config

y la versión de pyrit instalada.

Desconectado

#3 24-08-2018 11:50:43

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

SCmuIm5.png

Desconectado

#4 24-08-2018 12:08:07

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

ok, para pyrit tienes que tenerlo así

default_storage = file://
limit_ncpus = -1
rpc_announce = true
rpc_announce_broadcast = false
rpc_knownclients = 
rpc_server = false
workunit_size = 75000
use_CUDA = false
use_OpenCL = true

el limit _ncpus = -1 es para que use solo la gpu


para hashcat y pyrit necesitas instalar opencl en el Sistema Operativo.
y el driver de amd

¿cual es la versión de pyrit?

Ultima edición por crash (24-08-2018 12:14:18)

Desconectado

#5 24-08-2018 14:04:09

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

Entonces, ¿qué debo hacer más?


https://imgur.com/a/W80Gaxu


https://imgur.com/a/IYftRqQ


https://imgur.com/a/uCfnnF0

Ultima edición por bala (24-08-2018 14:59:59)

Desconectado

#6 24-08-2018 14:57:33

kcdtv
Administrator

Registrado: 14-11-2014
Mensajes: 4,581

Re: Linux tan difícil de instalar AMD GPU

Casi que se te entiende mejor cuando usas el traductor Español que cuando escribes en Inglés. Y es mucho mejor así: Todo el mundo puede participar. smile De nuestro lado intentaremos hacer frases simples.

Desconectado

#7 24-08-2018 15:02:35

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

Gracias

Desconectado

#8 24-08-2018 15:09:23

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

al fin parece que nos estamos entendiendo con los idiomas, debes ejecutar los comandos de las imágenes anteriores con sudo.

tienes que modificar el archivo de pyrit que te puse antes, como en el mio.

default_storage = file://
limit_ncpus = -1
rpc_announce = true
rpc_announce_broadcast = false
rpc_knownclients = 
rpc_server = false
workunit_size = 75000
use_CUDA = false
use_OpenCL = true

instalar opencl,


compilando el archivo /Pyrit-master/modules/cpyrit_opencl/

cd /Pyrit-master/modules/cpyrit_opencl/
python ./setup.py build
sudo python ./setup.py install 

Ultima edición por crash (24-08-2018 15:16:09)

Desconectado

#9 24-08-2018 15:14:51

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

por favor, uno por uno lo arreglamos. cómo instalar opencl para kali ???

Desconectado

#10 24-08-2018 15:47:27

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

cd ~/Downloads/ && git clone [url]https://github.com/JPaulMora/Pyrit.git[/url] && cd Pyrit && python setup.py build
Cloning into 'Pyrit'...
remote: Counting objects: 2124, done.
remote: Compressing objects: 100% (13/13), done.
remote: Total 2124 (delta 2), reused 5 (delta 0), pack-reused 2111
Receiving objects: 100% (2124/2124), 4.61 MiB | 1.36 MiB/s, done.
Resolving deltas: 100% (1445/1445), done.
running build
running build_py
creating build
creating build/lib.linux-x86_64-2.7
copying pyrit_cli.py -> build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/__init__.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/cpyrit.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/util.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/pckttools.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/config.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/network.py -> build/lib.linux-x86_64-2.7/cpyrit
copying cpyrit/storage.py -> build/lib.linux-x86_64-2.7/cpyrit
running build_ext
building 'cpyrit._cpyrit_cpu' extension
creating build/temp.linux-x86_64-2.7
creating build/temp.linux-x86_64-2.7/cpyrit
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
Failed to build; Compiling without AES-NI
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1"
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Desconectado

#11 24-08-2018 15:53:14

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

ok, instala python-dev

sudo apt install python-dev

luego haces lo anterior.

Desconectado

#12 24-08-2018 16:04:05

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ sudo apt install python-dev
[sudo] password for bala: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
python-dev is already the newest version (2.7.15-3).
The following packages were automatically installed and are no longer required:
  acccheck dh-python geoip-database-extra libappindicator1
  libavcodec57 libavfilter6 libavformat57 libavresample3
  libavutil55 libbabeltrace-ctf1 libcamel-1.2-60 libcdio17 libcue1
  libdbusmenu-gtk4 libedataserver-1.2-22 libedataserverui-1.2-1
  libfile-copy-recursive-perl libgcab-1.0-0 libhttp-parser2.7.1
  libindicator7 libisl15 libjs-openlayers libllvm5.0 liblouis14
  libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra
  libmagickwand-6.q16-5 libnfs8 libpoppler73 libpostproc54
  libqgis-core2.18.17 libqgis-gui2.18.17
  libqgis-networkanalysis2.18.17 libqgispython2.18.17
  libradare2-2.4 libswresample2 libswscale4 libsynctex1 libtcl8.5
  libtk8.5 libwireshark10 libwiretap7 libwscodecs1 libwsutil8
  libx265-146 openjdk-9-jdk openjdk-9-jdk-headless openjdk-9-jre
  python-imaging python-ply python-pycryptodome python-pysmi
  python-pysnmp4 python-pysnmp4-apps python-pysnmp4-mibs
  python-unicodecsv python3-configargparse python3-editorconfig
  python3-flask python3-itsdangerous python3-jsbeautifier
  python3-pyinotify python3-simplejson python3-werkzeug smitools
  tk8.5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
cd ~/Downloads/ && git clone [url]https://github.com/JPaulMora/Pyrit.git[/url] && cd Pyrit && python setup.py build
fatal: destination path 'Pyrit' already exists and is not an empty directory.
[email protected]:~/Downloads$

Desconectado

#13 24-08-2018 16:18:53

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

hazlo sin el git clone, ya tienes el directorio descargado en Downloads

cd Pyrit/

                ↓

python setup.py build

                ↓

sudo python ./setup.py install

compila cpyrit_opencl
                ↓

cd modules/cpyrit_opencl/

                ↓

python setup.py build

                ↓

sudo python ./setup.py install

Desconectado

#14 24-08-2018 17:27:01

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

roll yikes neutral

[email protected]:~$ cd Pyrit/
[email protected]:~/Pyrit$ python setup.py build
running build
running build_py
running build_ext
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
Failed to build; Compiling without AES-NI
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1"
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Desconectado

#15 24-08-2018 19:27:17

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

tienes que instalar openssl.

sudo apt install openssl

y haces los mismos pasos anteriores.

Desconectado

#16 24-08-2018 20:45:44

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ sudo apt install openssl
[sudo] password for bala: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
openssl is already the newest version (1.1.0h-4).
openssl set to manually installed.
The following packages were automatically installed and are no longer required:
  acccheck dh-python geoip-database-extra libappindicator1
  libavcodec57 libavfilter6 libavformat57 libavresample3
  libavutil55 libbabeltrace-ctf1 libcamel-1.2-60 libcdio17 libcue1
  libdbusmenu-gtk4 libedataserver-1.2-22 libedataserverui-1.2-1
  libfile-copy-recursive-perl libgcab-1.0-0 libhttp-parser2.7.1
  libindicator7 libisl15 libjs-openlayers libllvm5.0 liblouis14
  libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra
  libmagickwand-6.q16-5 libnfs8 libpoppler73 libpostproc54
  libqgis-core2.18.17 libqgis-gui2.18.17
  libqgis-networkanalysis2.18.17 libqgispython2.18.17
  libradare2-2.4 libswresample2 libswscale4 libsynctex1 libtcl8.5
  libtk8.5 libwireshark10 libwiretap7 libwscodecs1 libwsutil8
  libx265-146 openjdk-9-jdk openjdk-9-jdk-headless openjdk-9-jre
  python-imaging python-ply python-pycryptodome python-pysmi
  python-pysnmp4 python-pysnmp4-apps python-pysnmp4-mibs
  python-unicodecsv python3-configargparse python3-editorconfig
  python3-flask python3-itsdangerous python3-jsbeautifier
  python3-pyinotify python3-simplejson python3-werkzeug smitools
  tk8.5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~$
[code][email protected]:~$ cd Pyrit/
[email protected]:~/Pyrit$ python setup.py build
running build
running build_py
running build_ext
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
Failed to build; Compiling without AES-NI
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1"
cpyrit/_cpyrit_cpu.c:35:10: fatal error: openssl/hmac.h: No such file or directory
 #include <openssl/hmac.h>
          ^~~~~~~~~~~~~~~~
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
[email protected]:~/Pyrit$[/code]

Desconectado

#17 24-08-2018 21:02:42

kcdtv
Administrator

Registrado: 14-11-2014
Mensajes: 4,581

Re: Linux tan difícil de instalar AMD GPU

¿Has instalado las libcap-dev?

sudo apt install libpcap-dev

¿Qué dependencias has instalado?

Desconectado

#18 24-08-2018 23:34:59

USUARIONUEVO
Usuario

Registrado: 07-07-2015
Mensajes: 298

Re: Linux tan difícil de instalar AMD GPU

sudo apt install openssl-dev

siempre que falte un fichero *.h en la ruta include , es que te falta un paquete de tipo  -dev

Desconectado

#19 25-08-2018 04:23:48

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ sudo apt install libpcap-dev
[sudo] password for bala: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libpcap-dev is already the newest version (1.8.1-6).
The following packages were automatically installed and are no longer required:
  acccheck dh-python geoip-database-extra libappindicator1
  libavcodec57 libavfilter6 libavformat57 libavresample3
  libavutil55 libbabeltrace-ctf1 libcamel-1.2-60 libcdio17 libcue1
  libdbusmenu-gtk4 libedataserver-1.2-22 libedataserverui-1.2-1
  libfile-copy-recursive-perl libgcab-1.0-0 libhttp-parser2.7.1
  libindicator7 libisl15 libjs-openlayers libllvm5.0 liblouis14
  libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra
  libmagickwand-6.q16-5 libnfs8 libpoppler73 libpostproc54
  libqgis-core2.18.17 libqgis-gui2.18.17
  libqgis-networkanalysis2.18.17 libqgispython2.18.17
  libradare2-2.4 libswresample2 libswscale4 libsynctex1 libtcl8.5
  libtk8.5 libwireshark10 libwiretap7 libwscodecs1 libwsutil8
  libx265-146 openjdk-9-jdk openjdk-9-jdk-headless openjdk-9-jre
  python-imaging python-ply python-pycryptodome python-pysmi
  python-pysnmp4 python-pysnmp4-apps python-pysnmp4-mibs
  python-unicodecsv python3-configargparse python3-editorconfig
  python3-flask python3-itsdangerous python3-jsbeautifier
  python3-pyinotify python3-simplejson python3-werkzeug smitools
  tk8.5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~$ sudo apt install openssl-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package openssl-dev
[email protected]:~$

Desconectado

#20 25-08-2018 09:04:15

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

openssl-dev no existe en kali, ni en ubuntu.
debes de instalar esto:

sudo apt install libssl-dev

y luego vuelve a compilarlo.

Desconectado

#21 25-08-2018 09:36:31

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ sudo apt install libssl-dev
Reading package lists... Done
Building dependency tree       
Reading state information... Done
libssl-dev is already the newest version (1.1.0h-4).
The following packages were automatically installed and are no longer required:
  acccheck dh-python geoip-database-extra libappindicator1
  libavcodec57 libavfilter6 libavformat57 libavresample3
  libavutil55 libbabeltrace-ctf1 libcamel-1.2-60 libcdio17 libcue1
  libdbusmenu-gtk4 libedataserver-1.2-22 libedataserverui-1.2-1
  libfile-copy-recursive-perl libgcab-1.0-0 libhttp-parser2.7.1
  libindicator7 libisl15 libjs-openlayers libllvm5.0 liblouis14
  libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra
  libmagickwand-6.q16-5 libnfs8 libpoppler73 libpostproc54
  libqgis-core2.18.17 libqgis-gui2.18.17
  libqgis-networkanalysis2.18.17 libqgispython2.18.17
  libradare2-2.4 libswresample2 libswscale4 libsynctex1 libtcl8.5
  libtk8.5 libwireshark10 libwiretap7 libwscodecs1 libwsutil8
  libx265-146 openjdk-9-jdk openjdk-9-jdk-headless openjdk-9-jre
  python-imaging python-ply python-pycryptodome python-pysmi
  python-pysnmp4 python-pysnmp4-apps python-pysnmp4-mibs
  python-unicodecsv python3-configargparse python3-editorconfig
  python3-flask python3-itsdangerous python3-jsbeautifier
  python3-pyinotify python3-simplejson python3-werkzeug smitools
  tk8.5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
[email protected]:~$ cd Pyrit/
[email protected]:~/Pyrit$ python setup.py build
running build
running build_py
running build_ext
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
cpyrit/_cpyrit_cpu.c:39:10: fatal error: zlib.h: No such file or directory
 #include <zlib.h>
          ^~~~~~~~
compilation terminated.
Failed to build; Compiling without AES-NI
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1"
cpyrit/_cpyrit_cpu.c:39:10: fatal error: zlib.h: No such file or directory
 #include <zlib.h>
          ^~~~~~~~
compilation terminated.
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
[email protected]:~/Pyrit$

Desconectado

#22 25-08-2018 09:48:35

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

sudo apt install zlib1g-dev

y vuelve a compilar.

Desconectado

#23 25-08-2018 10:52:07

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ cd Pyrit/

[email protected]:~/Pyrit$ python setup.py build
running build
running build_py
running build_ext
building 'cpyrit._cpyrit_cpu' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu.c -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c cpyrit/_cpyrit_cpu_sse2.S -o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu_sse2.o -Wall -fno-strict-aliasing -DVERSION="0.5.1" -maes -mpclmul
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.o build/temp.linux-x86_64-2.7/cpyrit/_cpyrit_cpu_sse2.o -lcrypto -lpcap -o build/lib.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.so
running build_scripts
creating build/scripts-2.7
copying and adjusting pyrit -> build/scripts-2.7
changing mode of build/scripts-2.7/pyrit from 644 to 755
[email protected]:~/Pyrit$ sudo python ./setup.py install
[sudo] password for bala: 
running install
running build
running build_py
running build_ext
running build_scripts
running install_lib
copying build/lib.linux-x86_64-2.7/pyrit_cli.py -> /usr/local/lib/python2.7/dist-packages
creating /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/cpyrit.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/pckttools.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/_cpyrit_cpu.so -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/config.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/__init__.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/network.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/util.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
copying build/lib.linux-x86_64-2.7/cpyrit/storage.py -> /usr/local/lib/python2.7/dist-packages/cpyrit
byte-compiling /usr/local/lib/python2.7/dist-packages/pyrit_cli.py to pyrit_cli.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/cpyrit.py to cpyrit.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/pckttools.py to pckttools.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/config.py to config.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/__init__.py to __init__.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/network.py to network.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/util.py to util.pyc
byte-compiling /usr/local/lib/python2.7/dist-packages/cpyrit/storage.py to storage.pyc
writing byte-compilation script '/tmp/tmp3gJPeC.py'
/usr/bin/python -O /tmp/tmp3gJPeC.py
removing /tmp/tmp3gJPeC.py
running install_scripts
copying build/scripts-2.7/pyrit -> /usr/local/bin
changing mode of /usr/local/bin/pyrit to 755
running install_egg_info
Writing /usr/local/lib/python2.7/dist-packages/pyrit-0.5.1.egg-info
[code]
[email protected]:~/Pyrit$ cd modules/cpyrit_opencl/[/code]

[email protected]:~/Pyrit/modules/cpyrit_opencl$ python setup.py build
The headers required to build the OpenCL-kernel were not found. Trying to continue anyway...
running build
running build_ext
Building modules...
building 'cpyrit._cpyrit_opencl' extension
creating build
creating build/temp.linux-x86_64-2.7
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c _cpyrit_opencl.c -o build/temp.linux-x86_64-2.7/_cpyrit_opencl.o -Wall -fno-strict-aliasing -DVERSION="0.5.0"
In file included from /usr/include/CL/cl.h:36,
                 from _cpyrit_opencl.c:45:
/usr/include/CL/cl_version.h:34:9: note: #pragma message: cl_version.h: CL_TARGET_OPENCL_VERSION is not defined. Defaulting to 220 (OpenCL 2.2)
 #pragma message("cl_version.h: CL_TARGET_OPENCL_VERSION is not defined. Defaulting to 220 (OpenCL 2.2)")
         ^~~~~~~
_cpyrit_opencl.c: In function ‘ocldevice_compile’:
_cpyrit_opencl.c:367:9: warning: ‘clCreateCommandQueue’ is deprecated [-Wdeprecated-declarations]
         self->dev_queue = clCreateCommandQueue(self->dev_ctx, self->device, 0, &err);
         ^~~~
In file included from _cpyrit_opencl.c:45:
/usr/include/CL/cl.h:1741:1: note: declared here
 clCreateCommandQueue(cl_context                     /* context */,
 ^~~~~~~~~~~~~~~~~~~~
creating build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/cpyrit
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/_cpyrit_opencl.o -lcrypto -lz -lOpenCL -o build/lib.linux-x86_64-2.7/cpyrit/_cpyrit_opencl.so
/usr/bin/ld: cannot find -lOpenCL
collect2: error: ld returned 1 exit status
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
[email protected]:~/Pyrit/modules/cpyrit_opencl$

Ultima edición por bala (25-08-2018 11:17:38)

Desconectado

#24 25-08-2018 11:24:24

crash
Expulsado

Registrado: 25-10-2017
Mensajes: 1,049

Re: Linux tan difícil de instalar AMD GPU

cuando pongas código en el foro, ponlo con las etiquetas así, sin las ", para una lectura mas fácil.

["code"]aqui va todo el codigo["/code"]

esto se llama texto formateado.



¿tienes instalado opencl-headers?
si no lo tienes... instalalo

sudo apt install opencl-headers

Desconectado

#25 25-08-2018 14:58:10

bala
Usuario

Registrado: 26-07-2017
Mensajes: 100

Re: Linux tan difícil de instalar AMD GPU

[email protected]:~$ sudo apt install opencl-headers
[sudo] password for bala: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
opencl-headers is already the newest version (2.2~2018.05.14-gde26592-1).
The following packages were automatically installed and are no longer required:
  acccheck dh-python geoip-database-extra libappindicator1
  libavcodec57 libavfilter6 libavformat57 libavresample3
  libavutil55 libbabeltrace-ctf1 libcamel-1.2-60 libcdio17 libcue1
  libdbusmenu-gtk4 libedataserver-1.2-22 libedataserverui-1.2-1
  libfile-copy-recursive-perl libgcab-1.0-0 libhttp-parser2.7.1
  libindicator7 libisl15 libjs-openlayers libllvm5.0 liblouis14
  libmagickcore-6.q16-5 libmagickcore-6.q16-5-extra
  libmagickwand-6.q16-5 libnfs8 libpoppler73 libpostproc54
  libqgis-core2.18.17 libqgis-gui2.18.17
  libqgis-networkanalysis2.18.17 libqgispython2.18.17
  libradare2-2.4 libswresample2 libswscale4 libsynctex1 libtcl8.5
  libtk8.5 libwireshark10 libwiretap7 libwscodecs1 libwsutil8
  libx265-146 openjdk-9-jdk openjdk-9-jdk-headless openjdk-9-jre
  python-imaging python-ply python-pycryptodome python-pysmi
  python-pysnmp4 python-pysnmp4-apps python-pysnmp4-mibs
  python-unicodecsv python3-configargparse python3-editorconfig
  python3-flask python3-itsdangerous python3-jsbeautifier
  python3-pyinotify python3-simplejson python3-werkzeug smitools
  tk8.5
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 37 not upgraded.
[email protected]:~$
[email protected]:~/Pyrit/modules/cpyrit_opencl$ python setup.py build
The headers required to build the OpenCL-kernel were not found. Trying to continue anyway...
running build
running build_ext
Building modules...
building 'cpyrit._cpyrit_opencl' extension
x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -fPIC -I/usr/include/python2.7 -c _cpyrit_opencl.c -o build/temp.linux-x86_64-2.7/_cpyrit_opencl.o -Wall -fno-strict-aliasing -DVERSION="0.5.0"
In file included from /usr/include/CL/cl.h:36,
                 from _cpyrit_opencl.c:45:
/usr/include/CL/cl_version.h:34:9: note: #pragma message: cl_version.h: CL_TARGET_OPENCL_VERSION is not defined. Defaulting to 220 (OpenCL 2.2)
 #pragma message("cl_version.h: CL_TARGET_OPENCL_VERSION is not defined. Defaulting to 220 (OpenCL 2.2)")
         ^~~~~~~
_cpyrit_opencl.c: In function ‘ocldevice_compile’:
_cpyrit_opencl.c:367:9: warning: ‘clCreateCommandQueue’ is deprecated [-Wdeprecated-declarations]
         self->dev_queue = clCreateCommandQueue(self->dev_ctx, self->device, 0, &err);
         ^~~~
In file included from _cpyrit_opencl.c:45:
/usr/include/CL/cl.h:1741:1: note: declared here
 clCreateCommandQueue(cl_context                     /* context */,
 ^~~~~~~~~~~~~~~~~~~~
x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security -Wl,-z,relro -Wdate-time -D_FORTIFY_SOURCE=2 -g -fdebug-prefix-map=/build/python2.7-rHYsq1/python2.7-2.7.15=. -fstack-protector-strong -Wformat -Werror=format-security build/temp.linux-x86_64-2.7/_cpyrit_opencl.o -lcrypto -lz -lOpenCL -o build/lib.linux-x86_64-2.7/cpyrit/_cpyrit_opencl.so
/usr/bin/ld: cannot find -lOpenCL
collect2: error: ld returned 1 exit status
error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
[email protected]:~/Pyrit/modules/cpyrit_opencl$

Desconectado

Anuncio

Wifi-libre.com: El libre pensamiento para un internet libre / Regístrese ahora

Temas similares

Tema Respuestas Vistas Ultimo mensaje
5 343 Hoy 13:13:16 por kcdtv
4 158 Hoy 12:21:52 por kcdtv
Emuladores. por josep345
0 96 15-12-2018 21:40:18 por josep345
El negocio del gaming por josep345
5 228 13-12-2018 19:44:21 por josep345
15 530 13-12-2018 18:52:10 por josep345

Pie de página

Información del usuario

Ultimo usuario registrado: kusko garcia
Usuarios registrados conectados: 0
Invitados conectados: 13

Estadisticas de los foros

Número total de usuarios registrados: 1,309
Número total de temas: 1,241
Número total de mensajes: 12,672

Máx. usuarios conectados: 74 el 13-11-2018 18:47:20